Bug 149285 - sdptool segv while browsing device
sdptool segv while browsing device
Product: Fedora
Classification: Fedora
Component: bluez-utils (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Depends On:
  Show dependency treegraph
Reported: 2005-02-21 17:52 EST by Thomas Walker
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.15-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-02 07:30:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Thomas Walker 2005-02-21 17:52:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.5) Gecko/20041111 Firefox/1.0

Description of problem:
sdptool gets a segv when trying to browse device
hardware in question: Dlink DBT120, Sony Ericsson T616

(removed actual device id)
[root@thwalker redhat]# sdptool browse 00:00:00:00:00:00
Browsing  .00:00:00:00:00:00 ..
Service Name: Dial-up Networking
Service RecHandle: 0x10000
Service Class ID List:
  "Dialup Networking" (0x1103)
  "Generic Networking" (0x1201)
Protocol Descriptor List:
Segmentation fault

gdb w/ debug symbols installed gives me:
Program received signal SIGSEGV, Segmentation fault.
print_access_protos (value=716982912, userData=0) at sdp_lib.h:74
74                      f(list->data, u);
(gdb) bt
#0  print_access_protos (value=716982912, userData=0) at sdp_lib.h:74
#1  0x000000552aaade70 in print_service_attr (rec=0x552abc4980) at sdp_lib.h:74
#2  0x000000552aab0144 in do_search (bdaddr=0x7fbffff8a0, context=0x7fbffff8b0)
    at sdptool.c:1900
#3  0x000000552aab02ec in cmd_browse (argc=1, argv=0x7fbffffa18)
    at sdptool.c:1961
#4  0x000000552aab0927 in main (argc=2, argv=0x7fbffffa10) at sdptool.c:2204

If it makes a difference, the devices have authenticated before and have a link_key stored so they don't reconfirm PIN

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. hcitool scan
2. sdptool browse (devid)

Actual Results:  segv (details above)

Expected Results:  Should get a listing of available services on the device

Additional info:
Comment 1 David Woodhouse 2005-02-21 17:57:05 EST
Does this still happen in bluez-utils-2.14?
Comment 2 Thomas Walker 2005-02-22 21:19:31 EST
2.14 works like a charm... thanks.

Note You need to log in before you can comment on or make changes to this bug.